Subject: bug#59935: 29.0.60; project-list-buffers is slow

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 Dec 2022 12:54:48 +0200

> Date: Sun, 11 Dec 2022 12:23:13 +0200
> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> The main problematic behavior (low performance) is exhibited by the 
> "latest" branch, which looks like this:
> 
>    (let ((pr (project-current t)))
>        (display-buffer
>         (if (version< emacs-version "29.0.50")
>             ;; ...
>           (list-buffers-noselect
>            arg nil (lambda (buf) (memq buf (project-buffers pr)))))))

Yes, I see that.  I still don't understand: this can easily be changed
to call project-buffers just once.

> > Anyway, I only entered this discussion because you asked about making
> > some non-trivial changes on the release branch.  If that is no longer
> > an issue, I will gladly bow out of this.
> 
> I expect Juri is going to argue for that later. For non-trivial changes 
> in buff-menu.el, no less.

I will wait for his comments, then.